<h1>Edit report</h1>

  Hello {{getCurrentUserFirstname()}} <br>
  Here you can edit this report <br>
  
  <!-- Header -->
  <h3> Header: </h3>

  <div class="form-example">
    <label>Header: </label>
    <input type="text" cols="40" rows="5" required [(ngModel)]="report.header">
  </div>


  <br>
  <!-- Statements -->
  <h3> Statements: </h3>
  
  <div class="form-example">
    <label>Inside air temperature: </label>
    
    <input type="number" min="-40" max="60" style="width: 50px;" [(ngModel)]="report.airTemp">
    <br>
    <input type="range" min="-40" max="60" [(ngModel)]="report.airTemp">
    {{report.airTemp}} °C
  </div>
  
  <br>

  <div class="form-example">
    <label>Inside air Humidity: </label>
    
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="report.airHumidity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="report.airHumidity">
    {{report.airHumidity}} %
  </div>
  
  <br>

  <div class="form-example">
    <label>Outside air temperature: </label>
    
    <input type="number" min="-40" max="60" style="width: 50px;" [(ngModel)]="report.outsideAirTemp">
    <br>
    <input type="range" min="-40" max="60" [(ngModel)]="report.outsideAirTemp">
    {{report.outsideAirTemp}} °C
  </div>
  
  <br>

  <div class="form-example">
    <label>Outside air Humidity: </label>
    
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="report.outsideAirHumidity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="report.outsideAirHumidity">
    {{report.outsideAirHumidity}} %
  </div> 
  
  <br>
  
  <div class="form-example">
    <label>Water PH: </label>
    <input type="number" min="1" max="14" style="width: 50px;" [(ngModel)]="report.waterPH">
    <br>
    <input type="range" min="1" max="14" [(ngModel)]="report.waterPH">
    {{report.waterPH}}
  </div>

  <br>
  
  <div class="form-example">
    <label>Water temperature: </label>
    <input type="number" min="0" max="50" style="width: 50px;" [(ngModel)]="report.waterTemp">
    <br>
    <input type="range" min="0" max="50" [(ngModel)]="report.waterTemp">
    {{report.waterTemp}} °C
  </div>

  <br>

  <div class="form-example">
    <label>Water conductivity: </label>
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="report.waterConductivity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="report.waterConductivity">
    {{report.waterConductivity}}
  </div>

  <br>

  <div class="form-example">
    <label>Water oximeter: </label>
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="report.waterOximeter">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="report.waterOximeter">
    {{report.waterOximeter}}
  </div>

  <br>
  <!-- Tasks -->
  <h3> Tasks done: </h3>
  
  <div class="form-example">
    <label>Fertilizer added: </label>
    <input type="checkbox" [(ngModel)]="report.fertilizer" >
  </div>

  <div class="form-example">
    <label>Fishies fed: </label>
    <input type="checkbox" [(ngModel)]="report.fishies" >
  </div>

  <div class="form-example">
    <label>Water filled: </label>
    <input type="checkbox" [(ngModel)]="report.water" >
  </div>

  <br>
  <!--commentaire-->
  <h3> Comment: </h3>

  <div class="form-example">
    <label>Comment: </label>
    <input type="text" cols="40" rows="5" [(ngModel)]="this.report.comment">
  </div>

  <!-- Submit -->
  <br> <br> <br> <br> <br>
  <div class="form-example" style ="position: absolute; bottom:5%">
    <input type="submit" value="Submit" (click)="publierReport()">
  </div>
  <p style="color: red" >{{error}}</p>

